Listar registros de auditoría
curl --request GET \
--url https://api.finup.ar/api/logs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.finup.ar/api/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finup.ar/api/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"table_name": "<string>",
"action": "INSERT",
"record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"old_data": {},
"new_data": {},
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"changed_at": "2023-11-07T05:31:56Z",
"impersonated_by": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>"
}Auditoría
Listar registros de auditoría
Paginado. Devuelve los registros más recientes primero, junto con el total de coincidencias para construir la paginación.
GET
https://api.finup.ar
/
api
/
logs
Listar registros de auditoría
curl --request GET \
--url https://api.finup.ar/api/logs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.finup.ar/api/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.finup.ar/api/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"table_name": "<string>",
"action": "INSERT",
"record_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"old_data": {},
"new_data": {},
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"changed_at": "2023-11-07T05:31:56Z",
"impersonated_by": "<string>"
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
API key del negocio enviada como Authorization: Bearer <clave>. El alcance read solo permite métodos seguros (GET/HEAD/OPTIONS); full permite además escribir.
Query Parameters
Ej: clients, credits, ledger.
Available options:
INSERT, UPDATE, DELETE Required range:
1 <= x <= 100Required range:
x >= 0